---
output: html_document
---



## Normalization practice (Reads)



<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-pca-raw-reads-1.png" alt="PCA plot of the tung data" width="90%" />
<p class="caption">(\#fig:norm-pca-raw-reads)PCA plot of the tung data</p>
</div>

<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-pca-cpm-reads-1.png" alt="PCA plot of the tung data after CPM normalisation" width="90%" />
<p class="caption">(\#fig:norm-pca-cpm-reads)PCA plot of the tung data after CPM normalisation</p>
</div>
<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-rle-cpm-reads-1.png" alt="Cell-wise RLE of the tung data" width="90%" />
<p class="caption">(\#fig:norm-ours-rle-cpm-reads1)Cell-wise RLE of the tung data</p>
</div><div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-rle-cpm-reads-2.png" alt="Cell-wise RLE of the tung data" width="90%" />
<p class="caption">(\#fig:norm-ours-rle-cpm-reads2)Cell-wise RLE of the tung data</p>
</div>

<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-pca-lsf-umi-1.png" alt="PCA plot of the tung data after LSF normalisation" width="90%" />
<p class="caption">(\#fig:norm-pca-lsf-umi)PCA plot of the tung data after LSF normalisation</p>
</div>

<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-rle-scran-reads-1.png" alt="Cell-wise RLE of the tung data" width="90%" />
<p class="caption">(\#fig:norm-ours-rle-scran-reads1)Cell-wise RLE of the tung data</p>
</div><div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-rle-scran-reads-2.png" alt="Cell-wise RLE of the tung data" width="90%" />
<p class="caption">(\#fig:norm-ours-rle-scran-reads2)Cell-wise RLE of the tung data</p>
</div>



Let us look at the NB GLM model parameters estimated by sctransform.

<img src="exprs-norm-reads_files/figure-html/norm-ours-sctransform-params-plot-reads-1.png" width="90%" style="display: block; margin: auto;" />

We can look at the effect of sctransform's normalization on three particular
genes, ACTB, POU5F1 (aka OCT4) and CD74.

<img src="exprs-norm-reads_files/figure-html/norm-ours-sctransform-genes-plot-reads-1.png" width="90%" style="display: block; margin: auto;" />

<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-pca-sctransform-reads-1.png" alt="PCA plot of the tung reads data after sctransform normalisation (Pearson residuals)." width="90%" />
<p class="caption">(\#fig:norm-ours-pca-sctransform-reads)PCA plot of the tung reads data after sctransform normalisation (Pearson residuals).</p>
</div>

<div class="figure" style="text-align: center">
<img src="exprs-norm-reads_files/figure-html/norm-ours-rle-sctransform-reads-1.png" alt="Cell-wise RLE of the tung reads data" width="90%" />
<p class="caption">(\#fig:norm-ours-rle-sctransform-reads)Cell-wise RLE of the tung reads data</p>
</div>


















```
## R version 3.6.0 (2019-04-26)
## Platform: x86_64-pc-linux-gnu (64-bit)
## Running under: Ubuntu 18.04.3 LTS
## 
## Matrix products: default
## BLAS:   /usr/lib/x86_64-linux-gnu/blas/libblas.so.3.7.1
## LAPACK: /usr/lib/x86_64-linux-gnu/lapack/liblapack.so.3.7.1
## 
## locale:
##  [1] LC_CTYPE=en_AU.UTF-8       LC_NUMERIC=C              
##  [3] LC_TIME=en_AU.UTF-8        LC_COLLATE=en_AU.UTF-8    
##  [5] LC_MONETARY=en_AU.UTF-8    LC_MESSAGES=en_AU.UTF-8   
##  [7] LC_PAPER=en_AU.UTF-8       LC_NAME=C                 
##  [9] LC_ADDRESS=C               LC_TELEPHONE=C            
## [11] LC_MEASUREMENT=en_AU.UTF-8 LC_IDENTIFICATION=C       
## 
## attached base packages:
## [1] parallel  stats4    stats     graphics  grDevices utils     datasets 
## [8] methods   base     
## 
## other attached packages:
##  [1] scran_1.12.1                scater_1.12.2              
##  [3] ggplot2_3.2.1               SingleCellExperiment_1.6.0 
##  [5] SummarizedExperiment_1.14.1 DelayedArray_0.10.0        
##  [7] BiocParallel_1.18.1         matrixStats_0.55.0         
##  [9] Biobase_2.44.0              GenomicRanges_1.36.1       
## [11] GenomeInfoDb_1.20.0         IRanges_2.18.3             
## [13] S4Vectors_0.22.1            BiocGenerics_0.30.0        
## [15] scRNA.seq.funcs_0.1.0      
## 
## loaded via a namespace (and not attached):
##  [1] viridis_0.5.1            dynamicTreeCut_1.63-1   
##  [3] edgeR_3.26.8             BiocSingular_1.0.0      
##  [5] viridisLite_0.3.0        DelayedMatrixStats_1.6.1
##  [7] elliptic_1.4-0           moments_0.14            
##  [9] assertthat_0.2.1         statmod_1.4.32          
## [11] highr_0.8                dqrng_0.2.1             
## [13] GenomeInfoDbData_1.2.1   vipor_0.4.5             
## [15] yaml_2.2.0               globals_0.12.4          
## [17] pillar_1.4.2             lattice_0.20-38         
## [19] glue_1.3.1               limma_3.40.6            
## [21] digest_0.6.21            XVector_0.24.0          
## [23] colorspace_1.4-1         plyr_1.8.4              
## [25] cowplot_1.0.0            htmltools_0.3.6         
## [27] Matrix_1.2-17            pkgconfig_2.0.3         
## [29] listenv_0.7.0            bookdown_0.13           
## [31] zlibbioc_1.30.0          purrr_0.3.2             
## [33] scales_1.0.0             Rtsne_0.15              
## [35] tibble_2.1.3             withr_2.1.2             
## [37] lazyeval_0.2.2           magrittr_1.5            
## [39] crayon_1.3.4             evaluate_0.14           
## [41] future_1.14.0            MASS_7.3-51.1           
## [43] beeswarm_0.2.3           tools_3.6.0             
## [45] stringr_1.4.0            munsell_0.5.0           
## [47] locfit_1.5-9.1           irlba_2.3.3             
## [49] orthopolynom_1.0-5       compiler_3.6.0          
## [51] rsvd_1.0.2               contfrac_1.1-12         
## [53] rlang_0.4.0              grid_3.6.0              
## [55] RCurl_1.95-4.12          BiocNeighbors_1.2.0     
## [57] igraph_1.2.4.1           labeling_0.3            
## [59] bitops_1.0-6             rmarkdown_1.15          
## [61] codetools_0.2-16         hypergeo_1.2-13         
## [63] gtable_0.3.0             deSolve_1.24            
## [65] reshape2_1.4.3           R6_2.4.0                
## [67] gridExtra_2.3            knitr_1.25              
## [69] dplyr_0.8.3              future.apply_1.3.0      
## [71] stringi_1.4.3            ggbeeswarm_0.6.0        
## [73] Rcpp_1.0.2               sctransform_0.2.0       
## [75] tidyselect_0.2.5         xfun_0.9
```

